Name:           scrub
Version:        2.6.1
Release:        4
Summary:        A disk overwrite utility
License:        GPLv2+
URL:            https://github.com/chaos/scrub
Source0:        http://github.com/chaos/scrub/releases/download/2.6.1/scrub-2.6.1.tar.gz
# https://github.com/chaos/scrub/commit/006fd942abd78d3128d427f1ede9786abe14c65f
Patch0:         usage-Exit-with-status-code-0-for-help.patch
# https://github.com/chaos/scrub/commit/bd88864d8ee15a65d5ecdb3818afa4d5193d2455
Patch1:         usage-Output-to-stdout-on-exit-code-0.patch
# https://github.com/chaos/scrub/commit/499a491c21b5a18be79334282dfa11fd4f408c49
Patch2:         symlinks-to-block-device.patch

BuildRequires:  gettext, gcc

%description
Scrub writes patterns on files or disk devices to make
retrieving the data more difficult.  It operates in one of three modes:
1) the special file corresponding to an entire disk is scrubbed
   and all data on it is destroyed.
2) a regular file is scrubbed and only the data in the file
   (and optionally its name in the directory entry) is destroyed.
3) a regular file is created, expanded until
   the file system is full, then scrubbed as in 2).

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure
%make_build

%install
%make_install

%files
%doc DISCLAIMER COPYING README ChangeLog
%{_bindir}/scrub
%{_mandir}/man1/scrub.1*

%changelog
* Thu Mar 21 2024 cenhuilin <cenhuilin@kylinos.cn> - 2.6.1-4
- fix scrub stopped working for links pointing to a block device

* Tue Jan 30 2024 yaoxin <yao_xin001@hoperun.com> - 2.6.1-3
- Fix exit with status code 0 for --help

* Tue Jun 29 2021 zhouwenpei <zhouwenpei1@huawei.com> - 2.6.1-2
- add buildrequire gcc and gettext.

* Mon Oct 12 2020 Zhangpeng <zhangpeng228@huawei.com> - 2.6.1-1
- update to 2.6.1

* Thu Nov 28 2019 Jiangping Hu <hujiangping@huawei.com> - 2.5.2-14
- Package init
